# Reserve IDs

{% hint style="warning" %}
You are referring to the **`Legacy`** version of KyberSwap docs.

For the most updated information, please refer to:

* [**`Classic`**](https://github.com/KyberNetwork/kyberswap-documentation/blob/main/reference/legacy/reserves/operations/broken-reference/README.md)
* [**`Elastic`**](/reference/legacy/kyberswap-elastic.md)
* [**`Limit Order`**](/kyberswap-solutions/limit-order.md)
* [**`Aggregator`**](/kyberswap-solutions/kyberswap-aggregator.md)
  {% endhint %}

### What are reserve IDs?[​](https://docs.kyberswap.com/Legacy/reserves/operation/reserve-ids#what-are-reserve-ids) <a href="#what-are-reserve-ids" id="what-are-reserve-ids"></a>

Instead of Ethereum addresses, reserves are now identified using reserve IDs. Each reserve ID is 32 bytes long.\
\&#xNAN;*Example: 0xaa4b4e4320415052000000000000000000000000000000000000000000000000*

### Why are reserve IDs used instead of addresses?[​](https://docs.kyberswap.com/Legacy/reserves/operation/reserve-ids#why-are-reserve-ids-used-instead-of-addresses) <a href="#why-are-reserve-ids-used-instead-of-addresses" id="why-are-reserve-ids-used-instead-of-addresses"></a>

Reserve addresses can change in the event of reserve upgrades or reserve migrations. As an example, if Uniswap does an upgrade, then the Uniswap Bridge Reserve must be upgraded as well, and thus, a new address for the Uniswap Bridge Reserve is used.

With the new Reserve Routing feature for takers, and as reserves may upgrade their contracts over time (and thus have changing reserve addresses), we utilise reserve IDs for a more stable identity.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kyberswap.com/reference/legacy/reserves/operations/reserve-ids.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
